### Method

# RB StringValueMap steal_hashtable

#### Declaration [src]

    GHashTable*
    rb_string_value_map_steal_hashtable (
      RBStringValueMap* map
    )

#### Description [src]

Extracts and returns the underlying hash table from the map, and creates a new empty map.

#### Return value

Type: `GHashTable`

`GHashTable` from the map.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.